import { NativeModules, Platform } from "react-native";
import { AppKey } from "./gen-types";
import { LatLng } from "./types";

const { AMapSdk } = NativeModules;

export function init(key: AppKey) {
  AMapSdk.initSDK(Platform.select(key));
}

export function getVersion(): Promise<string> {
  return AMapSdk.getVersion();
}
/**
 * 调用手机上的高德地图导航
 * @param start 起始地经纬度
 * @param end 目的地经纬度
 * @param startName 开始地址
 * @param endName 目的地地址
 * @returns
 */
export function openNavi(start: LatLng, end: LatLng, startName?: string, endName?: string): Promise<null> {
  return AMapSdk.openAmapNavi(start.latitude, start.longitude, end.latitude, end.longitude, startName, endName);
}
